#
# spec file for package lsvpd (Version 1.6.7)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lsvpd
BuildRequires:  db-devel
BuildRequires:  gcc-c++
BuildRequires:  libvpd2-devel
BuildRequires:  scsi
BuildRequires:  zlib-devel
%ifarch ppc ppc64
BuildRequires:  librtas
%endif
Url:            http://sourceforge.net/projects/linux-diag/
Summary:        VPD Hardware Inventory Utilities for Linux
Version:        1.6.7
Release:        0.6.32
License:        GPL v2 or later
Group:          System/Monitoring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq
Requires:       /bin/sed
Source0:        %{name}-%{version}.tar.bz2

%description
The lsvpd package contains both the lsvpd, lscfg and lsmcode commands.
These commands, along with a boot-time scanning script called
update-device-tree, constitute a simple hardware inventory system. The
lsvpd command provides Vital Product Data (VPD) about hardware
components to higher-level serviceability tools. The lscfg command
provides a more human-readable format of the VPD, as well as some
system-specific information.  lsmcode lists microcode and firmware
levels.



Authors:
--------
    Martin Schwenke @ IBM

%prep
%setup -q

%build
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -UPCI_IDS -DPCI_IDS='\"/usr/share/pci.ids\"' -UUSB_IDS -DUSB_IDS='\"/usr/share/usb.ids\"'"
export CXXFLAGS="$RPM_OPT_FLAGS -UPCI_IDS -DPCI_IDS='\"/usr/share/pci.ids\"' -UUSB_IDS -DUSB_IDS='\"/usr/share/usb.ids\"'"
%configure
make %{?jobs:-j%jobs}
chmod 644 README* COPYING NEWS 

%clean 
rm -rf $RPM_BUILD_ROOT

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir $RPM_BUILD_ROOT/sbin
for i in lscfg lsmcode lsvio lsvpd update-lsvpd-db
do
 if test -f $RPM_BUILD_ROOT/usr/sbin/$i
 then
   ln -sfvbn ../usr/sbin/$i $RPM_BUILD_ROOT/sbin/$i
 fi
done
if [ -e /etc/udev/rules.d/99-lsvpd.rules ] ; then
	%{__rm} /etc/udev/rules.d/99-lsvpd.rules
fi
if [ -e /etc/udev/rules.d/99-lsvpd.disabled ] ; then
	%{__rm} /etc/udev/rules.d/99-lsvpd.disabled
fi

%post
if [ -d /var/lib/lsvpd ] ; then
  rm -rf /var/lib/lsvpd
fi
/usr/sbin/vpdupdate
exit 0

%files 
%defattr(-,root,root)
%doc README COPYING NEWS 
%dir /etc/lsvpd
%attr (644,root,root) %config /etc/lsvpd/*
/sbin/*
%attr (755,root,root) /usr/sbin/*
%{_mandir}/*/*

%changelog
* Tue Oct  5 2010 duwe@suse.de
- backport 1.6.7 to sles10-sp4 (FATE#309748)
* Thu Jul  2 2009 duwe@suse.de
- build against librtas on PPC (bnc#466290)
* Tue Nov 20 2007 sassmann@suse.de
- Update lsvpd to version 1.4.0 (fate #302692)
- License updated
* Sun Apr 23 2006 olh@suse.de
- add /etc/cron.daily/lsvpd to remove old device-tree copies
  they fill up the harddisk if the device-tree content changes,
  compared to the previous boot
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec  8 2005 olh@suse.de
- update to lsvpd-0.14.1
* Mon Nov  7 2005 olh@suse.de
- use LSB exit codes in runlevel script (112623)
* Wed Oct 26 2005 olh@suse.de
- update to lsvpd-0.13.2
* Fri Aug 26 2005 olh@suse.de
- build with -fno-unit-at-a-time to keep linker sections
* Fri Aug  5 2005 olh@suse.de
- update to lsvpd-0.13.0
* Fri Jul  1 2005 olh@suse.de
- update to lsvpd-0.12.7
  use RPM_OPT_FLAGS
* Mon Aug 16 2004 garloff@suse.de
- update to lsvpd-0.12.0
* Sun May  9 2004 olh@suse.de
- insserv per default only on ppc (#39117)
* Mon Mar  1 2004 olh@suse.de
- update to lsvpd-0.11.5
* Mon Feb 23 2004 olh@suse.de
- update to lsvpd-0.11.4
* Sun Aug 10 2003 olh@suse.de
- update to this weeks gnome includes
* Wed May 21 2003 olh@suse.de
- update to version lsvpd-0.8.4
  bugfis release, support for ibmsis, sym53c8xx fixes
* Wed Apr  9 2003 jplack@suse.de
- update to version lsvpd-0.8.1
* Wed Mar 19 2003 olh@suse.de
- update to version lsvpd-0.6.5
* Wed Mar 19 2003 olh@suse.de
- add a workaround for missing ibm,read-pci-config nodes
* Thu Mar 13 2003 olh@suse.de
- update to version lsvpd-0.6.2
* Wed Mar 12 2003 olh@suse.de
- update to version lsvpd-0.6.1
* Tue Mar 11 2003 olh@suse.de
- initial version lsvpd-0.5.5, tweak init scripts
